body {
  margin: 0;
  font-family: Arial, sans-serif;
  background: white;
}

#VistaLogin,
#VistaSimulador {
  display: none;
  height: 100vh;
}

#VistaLogin.active {
  display: flex;
  justify-content: center;
  align-items: center;
}

#VistaSimulador.active {
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.login-box {
  width: 300px;
  padding: 40px 35px;
  text-align: center;
  background: white;
}

.login-logo {
  width: 180px;
  margin-bottom: 35px;
}

.app-logo {
  width: 100px;
  margin: 10px;
}

.form-row {
  display: flex;
  align-items: center;
  margin-bottom: 14px;
}

/* Labels */
.form-row label {
  width: 95px;
  text-align: left;
  font-size: 15px;
  color: #7c7c7c;
}

/* Inputs */
.form-row input {
  flex: 1;
  height: 28px;
  border: 1px solid #cfcfcf;
  background: #f7f7f7;
  padding: 0 8px;
  font-size: 14px;
  outline: none;
}

/* APP */
.container {
  display: flex;
  border-top: 4px solid #96c83c;
  background: white;
  gap: 10px;
  padding: 10px;
}

.entradas,
.salidas {
  overflow-y: auto;
  background: #e7e7e7;
}

.entradas {
  width: 40%;
}

.salidas {
  width: 60%;
}

.header-columna {
  background: #C4C9CC;
  padding: 10px;
  font-size: 16px;
  color: #333;
}

.field {
  display: flex;
  align-items: center;
  border-bottom: 1px solid #cfcfcf;
  padding: 5px;
  margin-left: 10px;
  margin-right: 10px;
}

.field label {
  display: block;
  font-size: 14px;
  width: 800px;
  color: #65646a;
}

.field input,
.field select {
  width: 100%;
  padding: 6px;
}

.botones {
  margin: 10px;
}

button {
  padding: 10px;
  border: none;
  cursor: pointer;
  margin-right: 5px;
  border-radius: 5px;
  background: #848488;
  color: white;
}

.result-row {
  display: flex;
  justify-content: space-between;
  border-bottom: 1px solid #cfcfcf;
  padding: 5px;
  margin-left: 10px;
  margin-right: 10px;
}

.result-label {
  color: #65646a;
}

.error-box {
  padding: 14px;
  margin: 12px;
  border-radius: 8px;
  background: #ffeaea;
  border: 1px solid #ffb5b5;
  color: #b10000;
  font-size: 14px;
  line-height: 1.4;
  box-sizing: border-box;
  text-align: left;
}

.hidden {
  display: none;
}

.error-title {
  font-weight: bold;
  margin-bottom: 8px;
}

.error-list {
  margin: 0;
  padding-left: 20px;
}